Jquery en Joomla 1.7  

 
Victor Martín
 Victor Martín
Usuario experto

¿Es posible embeber código jquery dentro de un artículo o módulo HTML personalizado? He estado revisando algunos plugin, pero no estoy seguro si es posible.
¿Me recomendáis algún plugin o método de trabajar con jquery en especial?

Muchas gracias.

URL del sitio: http://www.tolpiedra.com

Citar
Respondido : 02/04/2012 8:00 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola Victor

Te sugiero revises el siguiente artículo en donde se explica el funcionamiento de una extensión que realiza esta funcionalidad

https://www.webempresa.com/blog/insertar-codigo-php-o-javascript-en-articulos-joomla.html

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 02/04/2012 8:33 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Victor Martín
 Victor Martín
Usuario experto

¿Pero es válido para usar código jquery? ¿Lo has usado y probado?. ¿Dónde inserto en enlace con la libreria jquery.js, en el código o se configura en el plugin?.

Hay algún comentario en google indicando que no funciona con jquery...

ResponderCitar
Respondido : 02/04/2012 8:58 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola Victor

Lo enviado anteriormente asume que ya tienes la librería jquery cargada, necesitas cargar la librería jquery manualmente o a través de un pluging o si ya tienes alguna extensión que ya utiliza la librería no será necesario cargarla de nuevo.

Para hacerlo manualmente puedes revisar este artículo (punto 2).Contenido solo visible a usuarios registrados
Una vez que tengas la librería cargada (lo puedes verificar viendo el código fuente html de tu sitio generado en el navegador) entonces podrás agregar código jquery en tus artículos a través del pluging enviado en el post anterior.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 03/04/2012 1:02 am

Cursos Gratuitos WordPress

Victor Martín
 Victor Martín
Usuario experto

Buenas tardes Jhon,

He instalado la última versión de sourcerer pero me ha indicado que se necesitaba PHP 5.3 o superior y en vuestros servidores está la versión 5.2. He desinstalado y he instalado una versión anterior de sourcerer (2.10) que se ha instalado correctamente, sin avisarme de ningún error.

Al tratar de usarlo desde el editor, me aparece una pantalla en blanco, no iniciándose el editor y no pudiendo insertar código. He tratado de insertar el código directamente en el editor, entre las etiquetas {source} y {/source} pero ni lo guarda ni lo interpreta. La librería jquery la he cargado directamente en el template.

¿Sabes a qué puede deberse y cómo solucionarse para usar sourcerer?

Muchas gracias.

ResponderCitar
Respondido : 03/04/2012 5:07 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola Victor

La versión de sourcer que usaste es para la versión de Joomla que tienes en tu sitio web?

Actualmente veo que no se ha agregado la librería jquery, esto lo puedes comprobar viendo el código fuente de tu sitio web : view-source: http://www.tolpiedra.com/ , te recomiendo usar el pluging ya que de otra manera tendrás que utilizar funciones de no conflicto ya que veo que también estas cargando la librería mootools.

Por otro lado si tienes la necesidad de trabajar con PHP 5.3, puedes solicitar a través de tickets de soporte que muevan tu cuenta de hosting a un servidor con estas caracaterísticas.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 03/04/2012 5:29 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Victor Martín
 Victor Martín
Usuario experto

Si, descargué la última versión (válida para J 1.6/1.7/2.5) pero me indicaba que necesitaba PHP 5.3+ por lo que descargué la versión 2.10 que se instaló correctamente.

En la página offline, no se carga jquery pero una vez dentro, he comprobado que se carga (la he enlazado a desde google).

En principio, no sería necesario trabajar con PHP 5.3 si me funcionara sourcerer.

ResponderCitar
Respondido : 03/04/2012 5:49 pm
Victor Martín
 Victor Martín
Usuario experto

He probado a instalar sourcerer sobre un Joomla 1.7 en local (sobre Joomla Spanish Server) y funciona correctamente, ¿Puede ser que alguna política de seguridad en vuestros servidores bloquee dicho componente?. Antes en I.E 9 me ha dado un error http 500.

ResponderCitar
Respondido : 03/04/2012 7:07 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola Victor

Si , es posible , dependiendo a que recursos estas accediendo o cómo estas realizando la programación.
Puedes ver los errores que te genera el servidor en los archivos /error_log , en la raiz del sitio o en la carpeta /administrator/error_log , eso te dará una pista de por que no funciona en el servidor.

Puedes revisar adicionalmente el siguiente artículo:
https://www.webempresa.com/blog/que-es-un-error-500-y-como-localizarlo-en-nuestra-web.html?tmpl=component&print=1

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 03/04/2012 8:34 pm

Por favor Iniciar Sesión o Registro